# ilp32 sync script v1.0

# download compiler
mkdir -p tools/gcc
pushd tools/gcc
mkdir ilp32
pushd ilp32 
wget http://snapshots.linaro.org/components/toolchain/binaries/7.1-2017.08-rc1/aarch64-linux-gnu_ilp32/gcc-linaro-7.1.1-2017.08-rc1-x86_64_aarch64-linux-gnu_ilp32.tar.xz
tar xvf gcc-linaro-7.1.1-2017.08-rc1-x86_64_aarch64-linux-gnu_ilp32.tar.xz
popd

mkdir lp64
pushd lp64
wget https://releases.linaro.org/components/toolchain/binaries/6.4-2017.08/aarch64-linux-gnu/gcc-linaro-6.4.1-2017.08-x86_64_aarch64-linux-gnu.tar.xz
tar xvf gcc-linaro-6.4.1-2017.08-x86_64_aarch64-linux-gnu.tar.xz
popd
popd 

# download ilp32 staging kernel
git clone https://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux.git linux
pushd linux
git checkout staging/ilp32-4.12
popd

# download busybox
git clone git://git.busybox.net/busybox
pushd busybox
git checkout 1_27_2
popd


